%{
/// $Header: /home/dvermeir/cvsroot/bisonpp/doc/explexer.ll,v 1.1 2002/07/27 10:50:20 dvermeir Exp $

#include	<stdlib.h>	// for atoi()
#include	<iostream>


#include	"ExpParser.tab.h"
#include	"explexer.h"
#include	"expparser.h"

%}

digit	[0-9]
ws	[ \t\n]+
%option	noyywrap
%option	yyclass="ExpLexer"

%%
{ws}			;

{digit}+		{
			lexval.val = atoi(yytext);
			return NUMBER;
			}
"+"			return PLUS;
"*"			return TIMES;
"/"			return DIVIDE;
"-"			return MINUS;

<<EOF>>			return 0;

%%

